setwd(getwd())

beta_06<-read.csv("./beta_06.csv")
beta_07<-read.csv("./beta_07.csv")
beta_08<-read.csv("./beta_08.csv")
beta_09<-read.csv("./beta_09.csv")
beta_boot<-read.csv("./beta_boot.csv")
p<-ncol(beta_06)

prop_06<-sort(apply(beta_06,2,function(x)sum(x!=0)/length(x)),decreasing=T)
prop_07<-sort(apply(beta_07,2,function(x)sum(x!=0)/length(x)),decreasing=T)
prop_08<-sort(apply(beta_08,2,function(x)sum(x!=0)/length(x)),decreasing=T)
prop_09<-sort(apply(beta_09,2,function(x)sum(x!=0)/length(x)),decreasing=T)
prop_boot<-sort(apply(beta_boot,2,function(x)sum(x!=0)/length(x)),decreasing=T)

####cut-off

pdf(file="/fig/Cutoff_bike.pdf", width =8,height = 6, bg = "white")
par(mar=c(4,5,2,2),mfrow=c(1,1),cex.axis=2.2,cex.lab=2.2,lty=1,lwd=2)
plot(c(1:p),prop_06,
     type="o",ylab="Selection Proportion",xlab="Number of Variables",
     col="red",ylim=c(0,1),pch=1)
lines(c(1:p),prop_07,
      type="o",col="blue",pch=1)
lines(c(1:p),prop_08,
      type="o",col="green",pch=1)
lines(c(1:p),prop_09,
      type="o",col="orange",pch=1)
lines(c(1:p),prop_boot,
      type="o",col="black",pch=1)
legend(1,0.9,
       c("BLBVS-0.6","BLBVS-0.7","BLBVS-0.8","BLBVS-0.9","BootVS"),
       col=c("red","blue","green","orange","black"),
       lwd=2,pt.cex=1.4,cex=1.2)
dev.off()

