setwd(getwd())
library(reshape2)
library(ggplot2)
library("RColorBrewer")

figPath<-"/fig/"


####################################################
####################lasso lm#################
col.la<-c("#000099","#33CCFF","#FF6633","#FFCC00","#FFFF00")


hmat<-read.csv("./Heatmap_lasso_lm_beta=1/heat.map.csv",row.names=1)
colnames(hmat)<-c(1,2,3,5,10,25,50,100)

hmat$Name<-as.character(c(5,10,20,30,40,50,100,200,500))
hmat$ind<-c(5,10,20,30,40,50,100,200,500)
hmat$Name<-with(hmat,reorder(Name,ind))
hmat<-hmat[,-ncol(hmat)]
hmat.m<-melt(hmat)

p=ggplot(hmat.m,aes(variable,Name))+
  geom_tile(aes(fill=value),colour="transparent")+
  scale_fill_gradientn(colours=col.la,
                       values=scales::rescale(c(0.01,0.05,0.1,0.15,0.2)))+
  theme(axis.text=element_text(size=25),
      axis.title=element_text(size=35),
      legend.text=element_text(size=20))+xlab("s")+ylab("r")+
  labs(fill="")
p

pngname=paste(figPath,"SD_hm_la_lm.pdf",sep="")
ggsave(pngname,
       width=10,height=7)





hmat<-read.csv("./Heatmap_lasso_lm_beta=1/heat.mapCI.csv",row.names=1)
colnames(hmat)<-c(1,2,3,5,10,25,50,100)

hmat$Name<-as.character(c(5,10,20,30,40,50,100,200,500))
hmat$ind<-c(5,10,20,30,40,50,100,200,500)
hmat$Name<-with(hmat,reorder(Name,ind))
hmat<-hmat[,-ncol(hmat)]
hmat.m<-melt(hmat)

p=ggplot(hmat.m,aes(variable,Name))+
  geom_tile(aes(fill=value),colour="transparent")+
  scale_fill_gradientn(colours=col.la,
                       values=scales::rescale(c(0.01,0.05,0.1,0.15,0.2)))+
  theme(axis.text=element_text(size=25),
        axis.title=element_text(size=35),
        legend.text=element_text(size=20))+xlab("s")+ylab("r")+
  labs(fill="")
p

pngname=paste(figPath,"CI_hm_la_lm.pdf",sep="")
ggsave(pngname,
       width=10,height=7)

####################################################
####################grouplasso logistic#################


col.grpla<-c("#000099","#0066FF","#33CCFF","#FF9966","#FF6633","#FFCC00","#FFFF00")
#col.grpla<<- gray(rev(0:6/7))
hmat<-read.csv("./Heatmap_grp_logistic_beta=1/heat.map.csv",row.names=1)
colnames(hmat)<-c(1,2,3,5,10,25,50,100)

hmat$Name<-as.character(c(5,10,20,30,40,50,100,200,500))
hmat$ind<-c(5,10,20,30,40,50,100,200,500)
hmat$Name<-with(hmat,reorder(Name,ind))
hmat<-hmat[,-ncol(hmat)]
hmat.m<-melt(hmat)

p=ggplot(hmat.m,aes(variable,Name))+
  geom_tile(aes(fill=value),colour="transparent")+
  scale_fill_gradientn(colours=col.grpla,
                       values=scales::rescale(c(0.01,0.05,0.1,
                                                0.15,0.2,0.4,0.8)),
                       breaks=c(0.1,0.3,0.5,0.7,0.9))+
  theme(axis.text=element_text(size=25),
        axis.title=element_text(size=35),
        legend.text=element_text(size=20))+xlab("s")+ylab("r")+
  labs(fill="")
p

pngname=paste(figPath,"SD_hm_grp_log.pdf",sep="")
ggsave(pngname,
       width=10,height=7)



hmat<-read.csv("./Heatmap_grp_logistic_beta=1/heat.mapCI.csv",row.names=1)
colnames(hmat)<-c(1,2,3,5,10,25,50,100)

hmat$Name<-as.character(c(5,10,20,30,40,50,100,200,500))
hmat$ind<-c(5,10,20,30,40,50,100,200,500)
hmat$Name<-with(hmat,reorder(Name,ind))
hmat<-hmat[,-ncol(hmat)]
hmat.m<-melt(hmat)

p=ggplot(hmat.m,aes(variable,Name))+
  geom_tile(aes(fill=value),colour="transparent")+
  scale_fill_gradientn(colours=col.grpla,
                       values=scales::rescale(c(0.01,0.05,0.1,
                                                0.15,0.2,0.4,0.8)),
                       breaks=c(0.1,0.3,0.5,0.7,0.9))+
  theme(axis.text=element_text(size=25),
        axis.title=element_text(size=35),
        legend.text=element_text(size=20))+xlab("s")+ylab("r")+
  labs(fill="")
p

pngname=paste(figPath,"CI_hm_grp_log.pdf",sep="")
ggsave(pngname,
       width=10,height=7)
